ForwardingNavigableMap.StandardNavigableKeySet
Date: 2016-05-24

com.google.common.collect

## Class ForwardingNavigableMap.StandardNavigableKeySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - com.google.common.collect.ForwardingNavigableMap.StandardNavigableKeySet

- All Implemented Interfaces:
    java.lang.Iterable<K>, java.util.Collection<K>, java.util.NavigableSet<K>, java.util.Set<K>, java.util.SortedSet<K>
  Enclosing class:
    ForwardingNavigableMap<K,V>

      @Beta
      protected class ForwardingNavigableMap.StandardNavigableKeySet
      extends java.util.AbstractSet<E>

  A sensible implementation of `NavigableMap.navigableKeySet()` in terms of the methods of this `NavigableMap`. In many cases, you may wish to override `ForwardingNavigableMap.navigableKeySet()` to forward to this implementation or a subclass thereof.
  Since:
    12.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingNavigableMap.StandardNavigableKeySet()` Constructor for use by subclasses.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `ceiling(K e)`
    `void` | `clear()`
    `java.util.Comparator<? super K>` | `comparator()`
    `boolean` | `contains(java.lang.Object o)`
    `java.util.Iterator<K>` | `descendingIterator()`
    `java.util.NavigableSet<K>` | `descendingSet()`
    `K` | `first()`
    `K` | `floor(K e)`
    `java.util.SortedSet<K>` | `headSet(K toElement)`
    `java.util.NavigableSet<K>` | `headSet(K toElement, boolean inclusive)`
    `K` | `higher(K e)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<K>` | `iterator()`
    `K` | `last()`
    `K` | `lower(K e)`
    `K` | `pollFirst()`
    `K` | `pollLast()`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `int` | `size()`
    `java.util.NavigableSet<K>` | `subSet(K fromElement, boolean fromInclusive, K toElement, boolean toInclusive)`
    `java.util.SortedSet<K>` | `subSet(K fromElement, K toElement)`
    `java.util.SortedSet<K>` | `tailSet(K fromElement)`
    `java.util.NavigableSet<K>` | `tailSet(K fromElement, boolean inclusive)`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.NavigableSet

      `iterator`

    - ### Methods inherited from interface java.util.SortedSet

      `comparator, first, last`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Constructor Detail

    - #### ForwardingNavigableMap.StandardNavigableKeySet

          public ForwardingNavigableMap.StandardNavigableKeySet()

      Constructor for use by subclasses.

  - ### Method Detail

    - #### lower

          public K lower(K e)

      Specified by:
        `lower` in interface `java.util.NavigableSet<K>`

    - #### floor

          public K floor(K e)

      Specified by:
        `floor` in interface `java.util.NavigableSet<K>`

    - #### ceiling

          public K ceiling(K e)

      Specified by:
        `ceiling` in interface `java.util.NavigableSet<K>`

    - #### higher

          public K higher(K e)

      Specified by:
        `higher` in interface `java.util.NavigableSet<K>`

    - #### pollFirst

          public K pollFirst()

      Specified by:
        `pollFirst` in interface `java.util.NavigableSet<K>`

    - #### pollLast

          public K pollLast()

      Specified by:
        `pollLast` in interface `java.util.NavigableSet<K>`

    - #### descendingSet

          public java.util.NavigableSet<K> descendingSet()

      Specified by:
        `descendingSet` in interface `java.util.NavigableSet<K>`

    - #### descendingIterator

          public java.util.Iterator<K> descendingIterator()

      Specified by:
        `descendingIterator` in interface `java.util.NavigableSet<K>`

    - #### subSet

          public java.util.NavigableSet<K> subSet(K fromElement,
                                         boolean fromInclusive,
                                         K toElement,
                                         boolean toInclusive)

      Specified by:
        `subSet` in interface `java.util.NavigableSet<K>`

    - #### headSet

          public java.util.NavigableSet<K> headSet(K toElement,
                                          boolean inclusive)

      Specified by:
        `headSet` in interface `java.util.NavigableSet<K>`

    - #### tailSet

          public java.util.NavigableSet<K> tailSet(K fromElement,
                                          boolean inclusive)

      Specified by:
        `tailSet` in interface `java.util.NavigableSet<K>`

    - #### subSet

          public java.util.SortedSet<K> subSet(K fromElement,
                                      K toElement)

      Specified by:
        `subSet` in interface `java.util.NavigableSet<K>`
      Specified by:
        `subSet` in interface `java.util.SortedSet<K>`

    - #### headSet

          public java.util.SortedSet<K> headSet(K toElement)

      Specified by:
        `headSet` in interface `java.util.NavigableSet<K>`
      Specified by:
        `headSet` in interface `java.util.SortedSet<K>`

    - #### tailSet

          public java.util.SortedSet<K> tailSet(K fromElement)

      Specified by:
        `tailSet` in interface `java.util.NavigableSet<K>`
      Specified by:
        `tailSet` in interface `java.util.SortedSet<K>`

    - #### comparator

          public java.util.Comparator<? super K> comparator()

      Specified by:
        `comparator` in interface `java.util.SortedSet<K>`

    - #### first

          public K first()

      Specified by:
        `first` in interface `java.util.SortedSet<K>`

    - #### last

          public K last()

      Specified by:
        `last` in interface `java.util.SortedSet<K>`

    - #### iterator

          public java.util.Iterator<K> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<K>`
      Specified by:
        `iterator` in interface `java.util.Collection<K>`
      Specified by:
        `iterator` in interface `java.util.Set<K>`
      Specified by:
        `iterator` in class `java.util.AbstractCollection<K>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<K>`
      Specified by:
        `size` in interface `java.util.Set<K>`
      Specified by:
        `size` in class `java.util.AbstractCollection<K>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<K>`
      Specified by:
        `isEmpty` in interface `java.util.Set<K>`
      Overrides:
        `isEmpty` in class `java.util.AbstractCollection<K>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<K>`
      Specified by:
        `contains` in interface `java.util.Set<K>`
      Overrides:
        `contains` in class `java.util.AbstractCollection<K>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<K>`
      Specified by:
        `remove` in interface `java.util.Set<K>`
      Overrides:
        `remove` in class `java.util.AbstractCollection<K>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<K>`
      Specified by:
        `clear` in interface `java.util.Set<K>`
      Overrides:
        `clear` in class `java.util.AbstractCollection<K>`

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<E>`
      Specified by:
        `removeAll` in interface `java.util.Set<E>`
      Overrides:
        `removeAll` in class `java.util.AbstractSet<E>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<E>`
      Specified by:
        `retainAll` in interface `java.util.Set<E>`
      Overrides:
        `retainAll` in class `java.util.AbstractCollection<E>`